pub struct PtyShellStopResponse {
pub released: bool,
}Expand description
Response from POST /api/v1/ptyshell/stop
Fields§
§released: boolFalse if the id was unrecognized, wasn’t owned by the caller, or simply had no active lock to release.
Trait Implementations§
Source§impl Clone for PtyShellStopResponse
impl Clone for PtyShellStopResponse
Source§fn clone(&self) -> PtyShellStopResponse
fn clone(&self) -> PtyShellStopResponse
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for PtyShellStopResponse
impl Debug for PtyShellStopResponse
Source§impl<'de> Deserialize<'de> for PtyShellStopResponse
impl<'de> Deserialize<'de> for PtyShellStopResponse
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for PtyShellStopResponse
impl RefUnwindSafe for PtyShellStopResponse
impl Send for PtyShellStopResponse
impl Sync for PtyShellStopResponse
impl Unpin for PtyShellStopResponse
impl UnsafeUnpin for PtyShellStopResponse
impl UnwindSafe for PtyShellStopResponse
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more